Name:		mod_geoip
Version:	1.2.7
Release:	1%{?dist}
Summary:	GeoIP module for the Apache HTTP Server
License:	ASL 1.1
Group:		System Environment/Daemons
URL:		http://www.maxmind.com/app/mod_geoip
Source0:	http://geolite.maxmind.com/download/geoip/api/mod_geoip2/mod_geoip2_%{version}.tar.gz
%define		Source0_md5sum 76514ad0e8adb8cd8231c5e3646d03fd
Requires:	GeoIP, httpd, httpd-mmn = %([ -a %{_includedir}/httpd/.mmn ] && cat %{_includedir}/httpd/.mmn || echo missing)
BuildRequires:	httpd-devel, GeoIP-devel


%description
mod_geoip is an Apache module for finding the country that a web request
originated from. It uses the GeoIP library and database to perform
the lookup. It is free software, licensed under the Apache license.


%prep
%setup -q -n mod_geoip2_%{version}


%build
/usr/sbin/apxs -Wc,"%{optflags}" -Wl,"-lGeoIP" -c mod_geoip.c


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf.d/
install -Dp .libs/mod_geoip.so %{buildroot}%{_libdir}/httpd/modules/mod_geoip.so
cat << EOF > %{buildroot}%{_sysconfdir}/httpd/conf.d/mod_geoip.conf
LoadModule geoip_module modules/mod_geoip.so

<IfModule mod_geoip.c>
  GeoIPEnable On
  GeoIPDBFile /usr/share/GeoIP/GeoIP.dat
</IfModule>

EOF


%clean
rm -rf %{buildroot}


%files
%defattr (-,root,root,0755)
%doc INSTALL README* Changes
%{_libdir}/httpd/modules/mod_geoip.so
%config(noreplace) %{_sysconfdir}/httpd/conf.d/mod_geoip.conf


%changelog
* Tue Mar 06 2012 LTN Packager <packager-el6rpms@LinuxTECH.NET> - 1.2.7-1
- Imported from EPEL
- cleaned up spec-file
- updated with latest upstream release

